{{- if .Values.enabled -}}
{{- if eq .Values.kind "Pod" -}}
{{- range $key, $value := .Values.subbands }}
---
apiVersion: v1
kind: Pod
metadata:
  name: "{{ $value.name }}"
  labels:
    {{- include "ska-pst-smrb.labels" $ | nindent 4 }}
spec:
  hostNetwork: {{ $.Values.hostNetwork }}
  hostIPC: {{ $.Values.hostIPC }}
  {{- with $.Values.podAnnotations }}
  annotations:
    {{- toYaml $ | nindent 8 }}
  {{- end }}
  initContainers: []
  containers:
    - name: ska-pst-smrb-core
      securityContext:
        {{- toYaml $.Values.securityContext | nindent 12 }}
      image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
      command: {{ $value.command }}
      tty: {{ $value.tty }}
      args:
      {{- with $value.args }}
        {{- toYaml . | nindent 8 }}
      {{- end }}
      envFrom:
      {{- range $.Values.envFrom }}
      {{- if eq .type "configMapRef" }}
        - configMapRef:
            name: {{ .name }}
      {{- end }}
      {{- end }}
      volumeMounts:
      {{- if $value.config }}
        - name: "ska-pst-smrb-configs-{{ $key }}"
          mountPath: {{ $value.configMountPath | default $.Values.configMountPath }}
      {{- end }}
      {{- range $.Values.volumeMounts }}
        - mountPath: {{ .containerPath }}
          name: {{ .name }}
      {{- end }}
      ports:
        - containerPort: {{ $.Values.service.port }}
      {{- with $.Values.resources }}
      resources:
        {{- toYaml $ | nindent 8 }}
      {{- end }}
  {{- with $.Values.nodeSelector }}
  nodeSelector:
    {{- toYaml $ | nindent 8 }}
  {{- end }}
  {{- with $.Values.tolerations }}
  tolerations:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  volumes:
  {{- if $value.config }}
    - name: "ska-pst-smrb-configs-{{ $key }}"
      configMap:
        name: "ska-pst-smrb-configs-{{ $key }}"
  {{- end }}
  {{- range $.Values.volumeMounts }}
    - name: {{ .name }}
      {{- if eq .type "hostPath" }}
      hostPath:
        path: {{ .hostPath }}
        # this field is optional
        type: Directory
      {{- else if eq .type "configMap" }}
      configMap:
        name: {{ .name }}
      {{- else if eq .type "emptyDir" }}
      emptyDir:
        name: {{ .name }}
        emptyDir: {}
      {{- end }}
  {{- end }}
{{- end }}
{{- end }}
{{- end }}
